/* MYDocument */

#import <Cocoa/Cocoa.h>

@interface MYDocument : NSObject
{
  IBOutlet NSImageView *imageView;

  NSString		*_myDocumentPath;     /*" Document's path "*/
  BOOL			_myHasEverBeenSaved;  /*" YES iff document has ever been saved "*/
}

/*" Supported document extensions: Required by MYDocumentManager "*/
+ (NSArray *)documentExtensions;

/*" Designated Initializer "*/
- (id)initWithPath:(NSString *)aPath;

/*" Alternate Initializer "*/
- (id)init;

/*" Document management methods "*/
- (NSString *)documentPath;
- (BOOL)safeClose;
- (void)print;

/*" Access document's Window "*/
- (id)documentWindow;

/*" Document status "*/
- (BOOL)hasEverBeenSaved;
- (BOOL)isDocumentEdited;

/*" Actions "*/
- (IBAction)saveDocument:(id)sender;
- (IBAction)saveDocumentAs:(id)sender;
- (IBAction)noteImageWasDropped:(id)sender;

/*" Window delegate methods "*/
- (BOOL)windowShouldClose:(id)sender;
- (void)windowWillClose:(NSNotification *)notification;
- (void)windowDidBecomeKey:(NSNotification *)notification;

@end
