
#import <Cocoa/Cocoa.h>


@interface MYDocumentManager : NSObject
{
  NSMutableArray    *_myOpenDocuments;     /*" Array of open documents "*/
  NSPoint           _myWindowCascadePoint; /*" Used to cascade document windows "*/
}

/*" Designated initializer "*/
- (id)init;

/*" Document class "*/
- (Class)documentClass;

/*" Document loading "*/
- (NSArray *)documentExtensions;

/*" Manipulate documents "*/
- (void)makeDocumentsPerformSelector:(SEL)aSelector;
- (void)makeDocumentsPerformSelector:(SEL)aSelector withObject:(id)anArg;
- (NSArray *)existingOpenDocuments;
- (id)existingOpenDocumentWithPath:(NSString *)aPath;
- (id)activeDocument;

/*" Document actions "*/
- (IBAction)openDocument:(id)sender;
- (IBAction)newDocument:(id)sender;
- (IBAction)saveAllDocuments:(id)sender;

/*" Document communication actions "*/
- (void)documentWillClose:(id)sender;
- (void)makeDocumentActive:(id)sender;

/*" Application delegate methods "*/
- (NSApplicationTerminateReply)applicationShouldTerminate:
  (NSApplication *)sender;
- (BOOL)application:(NSApplication *)sender openFile:(NSString *)filename;
- (BOOL)application:(NSApplication *)sender openTempFile:(NSString *)filename;
- (BOOL)applicationShouldOpenUntitledFile:(NSApplication *)sender;
- (BOOL)applicationOpenUntitledFile:(NSApplication *)sender;
- (BOOL)application:(NSApplication *)sender printFile:(NSString *)filename;

@end
